<div *ngIf="book">
  <h2>{{book.title | uppercase}} Details</h2>
  <div><span>id: </span>{{book.id}}</div>
  <div>
    <label>title :
      <input [(ngModel)]="book.title" placeholder="title"/>
    </label>
  </div>
  <div>
    <label>author :
      <input [(ngModel)]="book.author" placeholder="author"/>
    </label>
  </div>
  <div>
    <label>series :
      <input [(ngModel)]="book.series" placeholder="series"/>
    </label>
  </div>
  <button (click)="save()">save</button>
  <button (click)="goBack()">go back</button>
</div>
